Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.light
Class LightShaderConfiguration

    java.lang.Object
      de.grogra.imp3d.glsl.utility.ShaderConfiguration
          de.grogra.imp3d.glsl.light.LightShaderConfiguration

    public class LightShaderConfiguration

extends ShaderConfiguration

Field Summary
`static java.lang.String` | `getNormal`
`static java.lang.String` | `getNormalSig`

Fields inherited from class de.grogra.imp3d.glsl.utility.ShaderConfiguration
`constVar, customSampler, funcMap, referenceKey, sampler, T_BOOL, T_FLOAT, T_MAT3, T_SAMPLER2D, T_SAMPLER2DRECT, T_SAMPLER2DSHADOW, T_SAMPLERCUBE, T_VEC2, T_VEC3, T_VEC4, uniform, USE_DERIVATES, USE_GLOBAL_POS, USE_LOCAL_POS, USE_UV, var, version`

Constructor Summary
`LightShaderConfiguration()`

Method Summary
`ShaderConfiguration` | `clone()`
`java.lang.String[]` | `completeShader(java.lang.String lightFunction)` Complete a shader to be used as a light.
`boolean` | `equals(java.lang.Object obj)`
`GLSLManagedShader` | `getShaderByDefaultCollection(GLSLDisplay disp, java.lang.Object reference)`
`int` | `hashCode()`
`boolean` | `isPerspective()`
`boolean` | `isPhysical()`
`boolean` | `isShadow()`
`void` | `registerEyePosFunc()`
`void` | `set(OpenGLState glState, GLSLDisplay disp, java.lang.Object obj)`
`protected void` | `setThisToOther(ShaderConfiguration other)` Sets all permanent attributes of this instance to the values from other.
`void` | `setupDynamicUniforms(javax.media.opengl.GL gl, GLSLDisplay disp, int shaderNo)`
`void` | `setupShader(javax.media.opengl.GL gl, GLSLDisplay disp, int shaderNo)`
`java.lang.String` | `toString()`

Methods inherited from class de.grogra.imp3d.glsl.utility.ShaderConfiguration
`bindTextures, cleanUp, clearTmpVariables, getBit, getReferenceKeyValue, perInstance, registerCustomTexture, registerFunc, registerGlobalConst, registerNewTmpVar, registerNewUniform, registerTexture, set, setBit, setupTextures, setVersion`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### getNormal

    public static final java.lang.String getNormal

See Also:
  Constant Field Values

### getNormalSig

    public static final java.lang.String getNormalSig

See Also:
  Constant Field Values

Constructor Detail

### LightShaderConfiguration

    public LightShaderConfiguration()

Method Detail

### clone

    public ShaderConfiguration clone()

  Specified by:
    `clone` in class `ShaderConfiguration`

### completeShader

    public java.lang.String[] completeShader(java.lang.String lightFunction)

  Complete a shader to be used as a light.

  Parameters:
    `lightFunction` - added just before color is set. should modify variables diff and spec (vec3).
  Returns:

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `ShaderConfiguration`

### getShaderByDefaultCollection

    public GLSLManagedShader getShaderByDefaultCollection(GLSLDisplay disp,
                                                          java.lang.Object reference)

  Specified by:
    `getShaderByDefaultCollection` in class `ShaderConfiguration`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ShaderConfiguration`

### isPerspective

    public boolean isPerspective()

### isPhysical

    public boolean isPhysical()

### isShadow

    public boolean isShadow()

### registerEyePosFunc

    public void registerEyePosFunc()

### set

    public void set(OpenGLState glState,
                    GLSLDisplay disp,
                    java.lang.Object obj)

  Overrides:
    `set` in class `ShaderConfiguration`

### setThisToOther

    protected void setThisToOther(ShaderConfiguration other)

  Description copied from class: `ShaderConfiguration`
  Sets all permanent attributes of this instance to the values from other. This method is used by clone() to generate a shallow copy of a ShaderConfiguration

  Overrides:
    `setThisToOther` in class `ShaderConfiguration`
  Parameters:
    `other` - Reference from which attributes are copied

### setupDynamicUniforms

    public void setupDynamicUniforms(javax.media.opengl.GL gl,
                                     GLSLDisplay disp,
                                     int shaderNo)

  Overrides:
    `setupDynamicUniforms` in class `ShaderConfiguration`

### setupShader

    public void setupShader(javax.media.opengl.GL gl,
                            GLSLDisplay disp,
                            int shaderNo)

  Overrides:
    `setupShader` in class `ShaderConfiguration`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD